## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library
Interface Writer

    public interface Writer

A representation of the model object 'Writer'.

The following features are supported:

- `Name`
- `Library`

See Also:
  `LibraryPackage.getWriter()`
Generated:
Model:

Method Summary
`Library` `getLibrary()` Returns the value of the 'Library' container reference.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`void` `setLibrary(Library value)` Sets the value of the '`Library`' container reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `LibraryPackage.getWriter_Name()`
  Generated:
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  Generated:

### getLibrary

    Library getLibrary()

  Returns the value of the 'Library' container reference. It is bidirectional and its opposite is '`Writers`'.

  If the meaning of the 'Library' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Library' container reference.
  See Also:
    `setLibrary(Library)`, `LibraryPackage.getWriter_Library()`, `Library.getWriters()`
  Generated:
  Model:
    opposite="writers" transient="false"

### setLibrary

    void setLibrary(Library value)

  Sets the value of the '`Library`' container reference.

  Parameters:
    `value` - the new value of the 'Library' container reference.
  See Also:
    `getLibrary()`
  Generated: